import { useEnumStore } from '@/stores'

const { getEnumTypeList, getEnumTypeName } = useEnumStore()

/**
 * 积分配置类型
 */
export enum ScoreConfigType {
    Lottery = 7, // 抽奖得红包
}

/**
 * 获取积分操作类型列表
 * @returns 
 */
export function getScoreConfigTypeList() {
    return getEnumTypeList('scoreConfigType')
}

/**
 * 获取积分操作类型名称
 * @returns 
 */
export function getScoreConfigTypeName(value: number) {
    const enums = getScoreConfigTypeList()
    return getEnumTypeName(enums, value)
}